Package org.apache.calcite.avatica

# Interface ConnectionConfig

All Known Implementing Classes:
  `AvaticaRemoteConnectionConfigImpl`, `ConnectionConfigImpl`

public interface ConnectionConfig
Connection configuration.

## Method Summary

Modifier and Type
Method
Description
`String`
`authentication()`
`String`
`avaticaPassword()`
`String`
`avaticaUser()`
`Service.Factory`
`factory()`
`HostnameVerificationConfigurable.HostnameVerification`
`hostnameVerification()`
`String`
`httpClientClass()`
`AvaticaHttpClientFactory`
`httpClientFactory()`
`File`
`kerberosKeytab()`
`String`
`kerberosPrincipal()`
`String`
`keyPassword()`
`File`
`keystore()`
`String`
`keystorePassword()`
`String`
`schema()`
`String`
`serialization()`
`String`
`timeZone()`
`boolean`
`transparentReconnectionEnabled()`
`File`
`truststore()`
`String`
`truststorePassword()`
`String`
`url()`

## Method Details

### schema

String schema()

See Also:
  - `BuiltInConnectionProperty.SCHEMA`

### timeZone

String timeZone()

See Also:
  - `BuiltInConnectionProperty.TIME_ZONE`

### factory

Service.Factory factory()

See Also:
  - `BuiltInConnectionProperty.FACTORY`

### url

String url()

See Also:
  - `BuiltInConnectionProperty.URL`

### serialization

String serialization()

See Also:
  - `BuiltInConnectionProperty.SERIALIZATION`

### authentication

String authentication()

See Also:
  - `BuiltInConnectionProperty.AUTHENTICATION`

### avaticaUser

String avaticaUser()

See Also:
  - `BuiltInConnectionProperty.AVATICA_USER`

### avaticaPassword

String avaticaPassword()

See Also:
  - `BuiltInConnectionProperty.AVATICA_PASSWORD`

### httpClientFactory

AvaticaHttpClientFactory httpClientFactory()

See Also:
  - `BuiltInConnectionProperty.HTTP_CLIENT_FACTORY`

### httpClientClass

String httpClientClass()

See Also:
  - `BuiltInConnectionProperty.HTTP_CLIENT_IMPL`

### kerberosPrincipal

String kerberosPrincipal()

See Also:
  - `BuiltInConnectionProperty.PRINCIPAL`

### kerberosKeytab

File kerberosKeytab()

See Also:
  - `BuiltInConnectionProperty.KEYTAB`

### truststore

File truststore()

See Also:
  - `BuiltInConnectionProperty.TRUSTSTORE`

### truststorePassword

String truststorePassword()

See Also:
  - `BuiltInConnectionProperty.TRUSTSTORE_PASSWORD`

### keystore

File keystore()

See Also:
  - `BuiltInConnectionProperty.KEYSTORE`

### keystorePassword

String keystorePassword()

See Also:
  - `BuiltInConnectionProperty.KEYSTORE_PASSWORD`

### keyPassword

String keyPassword()

See Also:
  - `BuiltInConnectionProperty.KEY_PASSWORD`

### hostnameVerification

HostnameVerificationConfigurable.HostnameVerification hostnameVerification()

See Also:
  - `BuiltInConnectionProperty.HOSTNAME_VERIFICATION`

### transparentReconnectionEnabled

boolean transparentReconnectionEnabled()

See Also:
  - `BuiltInConnectionProperty.TRANSPARENT_RECONNECTION`